enum {
 enTexPageBase = enTexCEneH0103ClubGunner,
};
gxSprite SprCEneH0103ClubGunner[]={
    {enTexPageBase+0,0,0,1,1,0,0},//ダミー
    {enTexPageBase+0,0,0,80,32,40,32},//砲台１
    {enTexPageBase+0,88,16,64,16,8,8},//砲塔
    {enTexPageBase+0,0,32,120,32,48,32},//砲台２
    {enTexPageBase+0,0,64,88,32,32,32},//砲台３
    {enTexPageBase+0,88,64,56,32,32,32},//砲台４
    {enTexPageBase+0,0,96,96,16,40,16},//上胴体１
    {enTexPageBase+0,0,120,72,16,32,16},//上胴体２
    {enTexPageBase+0,16,144,48,16,16,16},//上胴体３
    {enTexPageBase+0,0,208,128,48,56,16},//下胴体
    {enTexPageBase+0,0,160,48,16,32,8},//ミサイル１
    {enTexPageBase+0,160,0,48,64,24,16},//後ろ足上
    {enTexPageBase+0,168,64,24,24,10,0},//後ろ足中
    {enTexPageBase+0,160,96,48,32,20,4},//後ろ足下
    {enTexPageBase+0,224,0,32,64,12,16},//前足上
    {enTexPageBase+0,224,64,32,32,16,0},//前足中
    {enTexPageBase+0,208,96,48,32,28,0},//前足下
    {enTexPageBase+0,160,128,32,48,20,5},//後ろ足奥上
    {enTexPageBase+0,160,176,24,32,16,4},//後ろ足奥中
    {enTexPageBase+0,160,208,40,32,20,4},//後ろ足奥下
    {enTexPageBase+0,224,128,32,48,16,8},//前足奥上
    {enTexPageBase+0,224,176,32,32,16,4},//前足奥中
    {enTexPageBase+0,208,208,48,32,20,4},//前足奥下
    {enTexPageBase+0,80,112,40,16,8,8},//ガトリング１
    {enTexPageBase+0,80,136,40,16,8,8},//ガトリング２
    {enTexPageBase+0,80,160,40,16,8,8},//ガトリング３
    {enTexPageBase+1,0,0,0,0,0,0},//0
};
Sint32 sPosCEneH0103ClubGunner[][16]={
    {160,200,0,0,0,0,100,100,100,0},//シーン
    {-10,-130,2,0,0,0,100,100,100,6},//上胴体１１
    {-10,-130,2,0,0,0,0,100,100,7},//上胴体２２
    {-10,-130,2,0,0,0,0,100,100,8},//上胴体３２
    {0,-15,2,0,0,0,100,100,100,1},//砲台１１
    {0,-15,2,0,0,0,0,100,100,3},//砲台２２
    {0,-15,2,0,0,0,0,100,100,4},//砲台３２
    {39,-8,1,0,0,0,100,100,100,2},//砲塔
    {0,5,1,0,0,0,100,100,100,9},//下胴体
    {5,35,0,0,0,0,100,100,100,10},//ミサイル１１
    {-32,23,2,0,0,0,100,100,100,11},//後ろ足上１
    {-9,50,2,0,0,0,100,100,100,12},//後ろ足中１
    {1,25,2,0,0,0,100,100,100,13},//後ろ足下１
    {30,20,2,0,0,0,100,100,100,14},//前足上１
    {5,48,2,0,0,0,100,100,100,15},//前足中１
    {0,27,2,0,0,0,100,100,100,16},//前足下１
    {-32,25,-1,0,0,0,100,100,100,17},//後ろ足奥上１
    {-5,35,-1,0,0,0,100,100,100,18},//後ろ足奥中１
    {5,25,-1,0,0,0,100,100,100,19},//後ろ足奥下１
    {40,30,-1,0,0,0,100,100,100,20},//前足奥上１
    {5,35,-1,0,0,0,100,100,100,21},//前足奥中１
    {5,25,-1,0,0,0,100,100,100,22},//前足奥下１
    {-25,0,3,0,0,0,100,100,100,23},//ガトリング１１
    {-25,0,3,0,0,0,100,100,100,24},//ガトリング２１
    {-25,0,3,0,0,0,100,100,100,25},//ガトリング３１
    {0,0,0,0,0,0,0,0,0,26},//0
};
enum {
    enPARENT,
    enUEDOUTAI1,
    enUEDOUTAI2,
    enUEDOUTAI3,
    enHOUDAI1,
    enHOUDAI2,
    enHOUDAI3,
    enHOUTOU,
    enSITADOUTAI,
    enMISAIRU1,
    enUSIROASIUE,
    enUSIROASINAKA,
    enUSIROASISITA,
    enMAEASIUE,
    enMAEASINAKA,
    enMAEASISITA,
    enUSIROASIOKUUE,
    enUSIROASIOKUNAKA,
    enUSIROASIOKUSITA,
    enMAEASIOKUUE,
    enMAEASIOKUNAKA,
    enMAEASIOKUSITA,
    enGATRING1,
    enGATRING2,
    enGATRING3,
    enMax,
    
};
Sint32 m_sParentCEneH0103ClubGunner[]={
    -1,
    enPARENT,
    enPARENT,
    enPARENT,
    enUEDOUTAI1,
    enUEDOUTAI1,
    enUEDOUTAI1,
    enHOUDAI1,
    enUEDOUTAI1,
    enSITADOUTAI,
    enSITADOUTAI,
    enUSIROASIUE,
    enUSIROASINAKA,
    enSITADOUTAI,
    enMAEASIUE,
    enMAEASINAKA,
    enSITADOUTAI,
    enUSIROASIOKUUE,
    enUSIROASIOKUNAKA,
    enSITADOUTAI,
    enMAEASIOKUUE,
    enMAEASIOKUNAKA,
    enUEDOUTAI1,
    enUEDOUTAI1,
    enUEDOUTAI1,
    
};

#if 0
enum {
 enTexPageBase = enTexCEneH0103ClubGunner,
};
gxSprite SprCEneH0103ClubGunner[]={
    {enTexPageBase+0,0,0,1,1,0,0},//ダミー
    {enTexPageBase+0,0,0,80,40,40,32},//砲台
    {enTexPageBase+0,0,40,24,16,8,8},//砲塔１
    {enTexPageBase+0,0,56,96,16,0,8},//砲塔２
    {enTexPageBase+0,128,0,128,40,40,32},//砲台回転１
    {enTexPageBase+0,144,40,104,40,32,32},//砲台回転２
    {enTexPageBase+0,144,80,64,32,32,24},//砲台回転３
    {enTexPageBase+0,0,72,144,40,72,0},//胴体
    {enTexPageBase+0,0,112,128,24,64,8},//足
    {enTexPageBase+0,56,40,16,16,8,8},//キャタイヤ
    {enTexPageBase+0,72,40,16,8,8,4},//キャタピラー
    {enTexPageBase+0,32,40,24,8,2,5},//戦車ドアー
    {enTexPageBase+0,88,40,24,8,5,8},//戦車銃
    {enTexPageBase+1,0,0,0,0,0,0},//0
};
Sint32 sPosCEneH0103ClubGunner[][16]={
    {160,200,0,0,0,0,100,100,100,0},//シーン
    {0,-50,0,0,0,0,100,100,100,7},//胴体
    {-10,13,-1,0,0,0,100,100,100,1},//砲台１
    {38,-5,0,0,0,0,100,100,100,2},//砲塔１
    {38,-5,-1,0,0,0,100,100,100,3},//砲塔１１
    {-10,-5,-1,0,0,0,100,100,100,1},//砲台２
    {38,-5,0,0,0,0,100,100,100,2},//砲塔２
    {38,-5,-1,0,0,0,100,100,100,3},//砲塔２１
    {-50,-24,0,0,0,0,0,100,100,4},//砲台回転１２
    {-50,-24,0,0,0,0,0,100,100,5},//砲台回転２２
    {-50,-23,0,0,0,0,0,100,100,6},//砲台回転３２
    {0,30,-1,0,0,0,100,100,100,8},//足
    {-10,-17,1,0,0,0,100,100,100,11},//戦車ドアー１
    {12,-16,0,0,0,0,100,100,100,12},//戦車銃１
    {-47,5,0,0,0,0,100,120,120,9},//キャタイヤ１１
    {-31,8,0,0,0,0,100,120,120,9},//キャタイヤ２１
    {-15,4,0,0,0,0,100,120,120,9},//キャタイヤ３１
    {1,8,0,0,0,0,100,120,120,9},//キャタイヤ４１
    {17,4,0,0,0,0,100,120,120,9},//キャタイヤ５１
    {33,8,0,0,0,0,100,120,120,9},//キャタイヤ６１
    {47,4,0,0,0,0,100,120,120,9},//キャタイヤ７１
    {-3,18,0,0,0,0,100,100,100,10},//キャタピラー１
    {7,18,0,0,0,0,100,100,100,10},//キャタピラー２
    {17,18,0,0,0,0,100,100,100,10},//キャタピラー３
    {27,18,0,0,0,0,100,100,100,10},//キャタピラー４
    {37,18,0,0,0,0,100,100,100,10},//キャタピラー５
    {47,18,0,0,0,20,100,100,100,10},//キャタピラー６
    {55,13,0,0,0,20,100,100,100,10},//キャタピラー７
    {63,8,0,0,0,60,100,100,100,10},//キャタピラー８
    {63,0,0,0,0,90,100,100,100,10},//キャタピラー９
    {-13,18,0,0,0,0,100,100,100,10},//キャタピラー１０
    {-23,18,0,0,0,0,100,100,100,10},//キャタピラー１１
    {-33,18,0,0,0,0,100,100,100,10},//キャタピラー１２
    {-43,18,0,0,0,0,100,100,100,10},//キャタピラー１３
    {-53,15,0,0,0,160,100,100,100,10},//キャタピラー１４
    {-59,9,0,0,0,120,100,100,100,10},//キャタピラー１５
    {-57,3,0,0,0,60,100,100,100,10},//キャタピラー１６
    {-53,0,0,0,0,20,100,100,100,10},//キャタピラー１７
    {-43,-5,0,0,0,0,100,100,100,10},//キャタピラー１８
    {-33,-5,0,0,0,0,100,100,100,10},//キャタピラー１９
    {-23,-5,0,0,0,0,100,100,100,10},//キャタピラー２０
    {-13,-5,0,0,0,0,100,100,100,10},//キャタピラー２１
    {-3,-5,0,0,0,0,100,100,100,10},//キャタピラー２２
    {7,-5,0,0,0,0,100,100,100,10},//キャタピラー２３
    {17,-5,0,0,0,0,100,100,100,10},//キャタピラー２４
    {27,-5,0,0,0,0,100,100,100,10},//キャタピラー２５
    {37,-5,0,0,0,0,100,100,100,10},//キャタピラー２６
    {47,-5,0,0,0,0,100,100,100,10},//キャタピラー２７
    {57,-5,0,0,0,160,100,100,100,10},//キャタピラー２８
    {0,0,0,0,0,0,0,0,0,13},//0
};
enum {
    enPARENT,
    enDOUTAI,
    enHOUDAI1,
    enHOUTOU1,
    enHOUTOU2,
    enHOUDAI2,
    enHOUTOU3,
    enHOUTOU4,
    enHOUDAIKAITEN1,
    enHOUDAIKAITEN2,
    enHOUDAIKAITEN3,
    enASI,
    enSENSYADOOR,
    enSENAYAGUN,
    enKYATIYE1,
    enKYATIYE2,
    enKYATIYE3,
    enKYATIYE4,
    enKYATIYE5,
    enKYATIYE6,
    enKYATIYE7,
    enKYATAPIRA1,
    enKYATAPIRA2,
    enKYATAPIRA3,
    enKYATAPIRA4,
    enKYATAPIRA5,
    enKYATAPIRA6,
    enKYATAPIRA7,
    enKYATAPIRA8,
    enKYATAPIRA9,
    enKYATAPIRA10,
    enKYATAPIRA11,
    enKYATAPIRA12,
    enKYATAPIRA13,
    enKYATAPIRA14,
    enKYATAPIRA15,
    enKYATAPIRA16,
    enKYATAPIRA17,
    enKYATAPIRA18,
    enKYATAPIRA19,
    enKYATAPIRA20,
    enKYATAPIRA21,
    enKYATAPIRA22,
    enKYATAPIRA23,
    enKYATAPIRA24,
    enKYATAPIRA25,
    enKYATAPIRA26,
    enKYATAPIRA27,
    enKYATAPIRA28,
    enMax,
    
};
Sint32 m_sParentCEneH0103ClubGunner[]={
    -1,
    enPARENT,
    enDOUTAI,
    enHOUDAI1,
    enHOUDAI1,
    enDOUTAI,
    enHOUDAI2,
    enHOUDAI2,
    enDOUTAI,
    enDOUTAI,
    enDOUTAI,
    enDOUTAI,
    enHOUDAI2,
    enHOUDAI2,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    enASI,
    
};
#endif
